Package org.apache.tools.ant.types

## Class CharSet

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.CharSet

    public class CharSet
    extends EnumeratedAttribute

EnumeratedAttribute implementation for Charset to use with encoding/charset attributes.

Since:
  Ant 1.10.6

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
`CharSet()` Default constructor.
`CharSet​(java.lang.String value)` Construct a new CharSet with the specified value.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equivalent​(CharSet cs)` Tell if CharSet values are aliases.
`static CharSet` `getAscii()` Convenience methood: get US-ASCII CharSet.
`java.nio.charset.Charset` `getCharset()` Convert this enumerated type to a `Charset`.
`static CharSet` `getDefault()` Get the default value as provided by Charset.
`static CharSet` `getUtf8()` Convenience method: get UTF-8 CharSet.
`java.lang.String[]` `getValues()` Return the possible values.
`void` `setValue​(java.lang.String value)` Accept additional values for backwards compatibility (some java.io encoding names not available in java.nio)

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CharSet

    public CharSet()

Default constructor.

#### CharSet

    public CharSet​(java.lang.String value)

Construct a new CharSet with the specified value.

Parameters:
  `value` - the EnumeratedAttribute value.

### Method Detail

#### getDefault

    public static CharSet getDefault()

Get the default value as provided by Charset.

Returns:
  the default value.

#### getAscii

    public static CharSet getAscii()

Convenience methood: get US-ASCII CharSet.

Returns:
  the default value.

#### getUtf8

    public static CharSet getUtf8()

Convenience method: get UTF-8 CharSet.

Returns:
  the default value.

#### equivalent

    public boolean equivalent​(CharSet cs)

Tell if CharSet values are aliases.

Parameters:
  `cs` - CharSet to compare the value to.
Returns:
  true if CharSet values are aliases.

#### getCharset

    public java.nio.charset.Charset getCharset()

Convert this enumerated type to a `Charset`.

Returns:
  a `Charset` object.

#### getValues

    public java.lang.String[] getValues()

Return the possible values.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  String[] of Charset names.

#### setValue

    public final void setValue​(java.lang.String value)

Accept additional values for backwards compatibility (some java.io encoding names not available in java.nio)

Overrides:
  `setValue` in class `EnumeratedAttribute`
Parameters:
  `value` - the `String` value of the attribute